Compare commits

..

No commits in common. "02dd9c13be2fa8303f75577786f93642021bfffb" and "1c6d2f5848211c406bf0b47791746d6485a29ef5" have entirely different histories.

7 changed files with 48 additions and 99 deletions

View file

@ -7,12 +7,51 @@
// from the command palette. // from the command palette.
[ [
{ {
"context": "Workspace",
"bindings": {
"f5": "workspace::ToggleLeftDock",
"alt-v": "terminal_panel::ToggleFocus",
}
},
{
"context": "Picker",
"bindings": { "bindings": {
"shift-tab": "menu::SelectPrev", "shift-tab": "menu::SelectPrev",
"tab": "menu::SelectNext", "tab": "menu::SelectNext"
"alt-c": "pane::CloseActiveItem", }
"ctrl-shift-w": null, },
"ctrl-q": null, {
"context": "BufferSearchBar && !in_replace > Editor",
"bindings": {
"shift-tab": "menu::SelectPrev",
"tab": "menu::SelectNext"
}
},
{
"context": "Terminal",
"bindings": {
"alt-v": "workspace::ToggleBottomDock",
"ctrl-w": "terminal::ToggleViMode"
}
},
{
"context": "Terminal && VimControl",
"bindings": {
"tab": "pane::ActivateNextItem",
"shift-tab": "pane::ActivatePrevItem",
}
},
{
"context": "Editor",
"bindings": {
"; f s": "outline::Toggle",
"; f w": "workspace::NewSearch",
"; f t": "theme_selector::Toggle",
}
},
{
"context": "VimControl && !menu",
"bindings": {
"ctrl-h": [ "ctrl-h": [
"workspace::ActivatePaneInDirection", "workspace::ActivatePaneInDirection",
"Left" "Left"
@ -29,43 +68,12 @@
"workspace::ActivatePaneInDirection", "workspace::ActivatePaneInDirection",
"Down" "Down"
], ],
}
},
{
"context": "Workspace",
"bindings": {
"f5": "workspace::ToggleLeftDock",
"alt-v": "terminal_panel::ToggleFocus",
}
},
{
"context": "menu",
"bindings": {
"shift-tab": "menu::SelectPrev",
"tab": "menu::SelectNext",
"f4": "menu::SelectPrev",
"f6": "menu::SelectNext"
}
},
{
"context": "Terminal",
"bindings": {
"alt-v": "workspace::ToggleBottomDock",
"ctrl-w": "terminal::ToggleViMode"
}
},
{
"context": "VimControl && !menu",
"bindings": {
"; f s": "outline::Toggle",
"; f w": "workspace::NewSearch",
"; f t": "theme_selector::Toggle",
"; f f": "file_finder::Toggle",
"L": "vim::EndOfLine", "L": "vim::EndOfLine",
"H": "vim::StartOfLine", "H": "vim::StartOfLine",
"left": "editor::TabPrev", "left": "editor::TabPrev",
"right": "editor::Indent", "right": "editor::Indent",
"space v": "editor::ToggleComments", "space v": "editor::ToggleComments",
"alt-c": "pane::CloseActiveItem",
"alt-j": "vim::ScrollDown", "alt-j": "vim::ScrollDown",
"alt-k": "vim::ScrollUp", "alt-k": "vim::ScrollUp",
"up": "editor::MoveLineUp", "up": "editor::MoveLineUp",
@ -75,18 +83,9 @@
"space p": "editor::Paste", "space p": "editor::Paste",
"tab": "pane::ActivateNextItem", "tab": "pane::ActivateNextItem",
"shift-tab": "pane::ActivatePrevItem", "shift-tab": "pane::ActivatePrevItem",
"space \"": "pane::SplitRight", "space \"": "pane::SplitVertical",
"space %": "pane::SplitHorizontal", "space %": "pane::SplitHorizontal",
"space c r": "editor::Rename", "space c r": "editor::Rename",
"space c t r": "diagnostics::Deploy",
"#": [
"vim::PushOperator",
{
"Jump": {
"line": true
}
}
],
} }
}, },
{ {
@ -117,24 +116,4 @@
"tab": "editor::ContextMenuNext", "tab": "editor::ContextMenuNext",
} }
}, },
{
"context": "ProjectPanel && not_editing",
"bindings": {
"n": "project_panel::NewFile",
"N": "project_panel::NewDirectory",
"r": "project_panel::Rename",
"d": [
"project_panel::Trash",
{
"skip_prompt": false
}
],
"D": [
"project_panel::Delete",
{
"skip_prompt": false
}
],
}
},
] ]

View file

@ -7,28 +7,20 @@
// custom settings, run `zed: open default settings` from the // custom settings, run `zed: open default settings` from the
// command palette (cmd-shift-p / ctrl-shift-p) // command palette (cmd-shift-p / ctrl-shift-p)
{ {
"vim": {
"use_system_clipboard": "on_yank"
},
"relative_line_numbers": true,
"features": { "features": {
"inline_completion_provider": "none" "inline_completion_provider": "none"
}, },
"assistant": { "assistant": {
"default_model": {
"provider": "zed.dev",
"model": "claude-3-5-sonnet-latest"
},
"dock": "right", "dock": "right",
"version": "2" "version": "2"
}, },
"buffer_font_size": 17,
"format_on_save": "language_server", "format_on_save": "language_server",
"formatter": "language_server", "formatter": "language_server",
"buffer_font_family": "FiraCode Nerd Font", "buffer_font_family": "FiraCode Nerd Font",
"tab_size": 4, "tab_size": 4,
"vim_mode": true, "vim_mode": true,
"ui_font_size": 16, "ui_font_size": 16,
"buffer_font_size": 16,
"theme": { "theme": {
"mode": "system", "mode": "system",
"light": "One Light", "light": "One Light",
@ -64,10 +56,5 @@
}, },
} }
} }
}, }
"soft_wrap": "editor_width",
"show_wrap_guides": true,
"wrap_guides": [
80
],
} }

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/post-checkout.\n"; exit 2; }
git lfs post-checkout "$@"

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/post-commit.\n"; exit 2; }
git lfs post-commit "$@"

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/post-merge.\n"; exit 2; }
git lfs post-merge "$@"

View file

@ -1,5 +1,5 @@
#!/bin/bash #!/bin/bash
# check for WIP commits
wips=$(git log --oneline --no-decorate | grep -i wip ) wips=$(git log --oneline --no-decorate | grep -i wip )
wips_n=$(echo "$wips" | wc -l) wips_n=$(echo "$wips" | wc -l)
LOCKFILE=/tmp/githook.allow_wip LOCKFILE=/tmp/githook.allow_wip
@ -14,7 +14,3 @@ if [[ ! -f $LOCKFILE && -n "$wips" ]]; then
* ) echo -e "\naborting."; exit 1;; * ) echo -e "\naborting."; exit 1;;
esac esac
fi fi
# git-lfs stuff
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting .git/hooks/pre-push.\n"; exit 2; }
git lfs pre-push "$@"

4
.gitignore vendored
View file

@ -15,10 +15,6 @@
!.config/btop/** !.config/btop/**
!.config/kitty !.config/kitty
!.config/kitty/** !.config/kitty/**
!.config/zed
!.config/zed/**
!.githooks
!.githooks/**
!.config/rustfmt/** !.config/rustfmt/**
!.config/rustfmt/ !.config/rustfmt/
!.gitignore !.gitignore